Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.tiff
Class BaselineTagSet

    java.lang.Object
      org.monte.media.tiff.TagSet
          org.monte.media.tiff.BaselineTagSet

    public class BaselineTagSet

extends TagSet

A class representing the set of tags found in the baseline TIFF specification as well as some common additional tags.

Version:
  1.0.2 2011-01-28 Added some constants.
  1.0 2010-07-24 Created.
Author:
  Werner Randelshofer

Field Summary
`static TIFFTag` | `BitsPerSample`
`static TIFFTag` | `DateTime`
`static TIFFTag` | `ImageHeight`
`static TIFFTag` | `ImageWidth`
`static TIFFTag` | `JPEGThumbnailImage`
`static TIFFTag` | `Make`
`static TIFFTag` | `Model`
`static TIFFTag` | `SamplesPerPixel`
`static int` | `TAG_EXIF`
`static int` | `TAG_GPS`
`static int` | `TAG_Interoperability`
`static int` | `TAG_JPEGInterchangeFormat`
`static int` | `TAG_JPEGInterchangeFormatLength`
`static int` | `TAG_JPEGThumbnailImage` Synthetic tags.

Method Summary
`static BaselineTagSet` | `getInstance()` Returns a shared instance of a BaselineTagSet.

Methods inherited from class org.monte.media.tiff.TagSet
`getName, getTag`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TAG_EXIF

    public static final int TAG_EXIF

See Also:
  Constant Field Values

### TAG_GPS

    public static final int TAG_GPS

See Also:
  Constant Field Values

### TAG_Interoperability

    public static final int TAG_Interoperability

See Also:
  Constant Field Values

### TAG_JPEGInterchangeFormat

    public static final int TAG_JPEGInterchangeFormat

See Also:
  Constant Field Values

### TAG_JPEGInterchangeFormatLength

    public static final int TAG_JPEGInterchangeFormatLength

See Also:
  Constant Field Values

### ImageWidth

    public static final TIFFTag ImageWidth

### ImageHeight

    public static final TIFFTag ImageHeight

### Make

    public static final TIFFTag Make

### Model

    public static final TIFFTag Model

### DateTime

    public static final TIFFTag DateTime

### BitsPerSample

    public static final TIFFTag BitsPerSample

### SamplesPerPixel

    public static final TIFFTag SamplesPerPixel

### TAG_JPEGThumbnailImage

    public static final int TAG_JPEGThumbnailImage

  Synthetic tags.

  See Also:
    Constant Field Values

### JPEGThumbnailImage

    public static final TIFFTag JPEGThumbnailImage

Method Detail

### getInstance

    public static BaselineTagSet getInstance()

  Returns a shared instance of a BaselineTagSet.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD